---
title: "Create access client"
url: https://hexelstudio.com/docs/api/compute/access/create-access-client
---

# Create access client

**POST** `/compute/v1/access/clients`

## Headers

- `Authorization: string`

  `Bearer <token>`. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

## Body parameters

- `body: object`

  Client name

## Returns

`201` Created (`OAuthClientResponse`)

- `client_id: optional string`

- `client_secret: optional string`

- `name: optional string`

## Example

```bash
curl --request POST \
  --url 'https://compute.hexelstudio.com/compute/v1/access/clients' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### Response (201)

```json
{
  "client_id": "string",
  "client_secret": "string",
  "name": "string"
}
```
